Bower dependency #72

Closed
tx-tim opened this Issue Jul 25, 2013 · 4 comments

Comments

Projects
None yet
5 participants

tx-tim commented Jul 25, 2013

Dependency for bower is listed as greensock, and gives an invalid signature error when trying to include it as a bower depedency.

According to a greensock issue here: greensock/GreenSock-JS#11
this dependency should be named tweenMax

@ghost ghost assigned johnpolacek Jul 25, 2013

@johnpolacek johnpolacek closed this Aug 5, 2013

Hi,
You still need to tag your git sources in order to have bower working. For now, we can just use bower install SuperScrollorama#master

Regards

@janpaepke janpaepke reopened this Aug 14, 2013

km2c commented Oct 31, 2013

You can also add this to your bower.json file and then do bower install

"SuperScrollorama": "https://github.com/johnpolacek/superscrollorama/archive/master.zip"

no, don't do that, it break the bower philosophy

and there is now some tags so you can do a plain bower install SuperScrollorama

km2c commented Oct 31, 2013

@xseignard This method doesn't work for me. It returns this error.

bower cached        git://github.com/johnpolacek/superscrollorama.git#1.0.1
bower validate      1.0.1 against git://github.com/johnpolacek/superscrollorama.git#*
bower not-cached    http://www.greensock.com/dl/greensock-v12-js.zip#*
bower resolve       http://www.greensock.com/dl/greensock-v12-js.zip#*
bower download      http://www.greensock.com/dl/greensock-v12-js.zip
bower cached        git://github.com/components/jquery.git#1.9.1
bower validate      1.9.1 against git://github.com/components/jquery.git#~1.9.1
bower extract       greensock#* greensock-v12-js.zip
bower Z_DATA_ERROR  invalid distance too far back

Stack trace:
Error: invalid distance too far back
    at Zlib._binding.onerror (zlib.js:295:17)

Console trace:
Trace
    at StandardRenderer.error (/usr/local/share/npm/lib/node_modules/bower/lib/renderers/StandardRenderer.js:74:17)
    at Logger.updateNotifier.packageName (/usr/local/share/npm/lib/node_modules/bower/bin/bower:109:18)
    at Logger.EventEmitter.emit (events.js:95:17)
    at Logger.emit (/usr/local/share/npm/lib/node_modules/bower/node_modules/bower-logger/lib/Logger.js:29:39)
    at /usr/local/share/npm/lib/node_modules/bower/lib/commands/install.js:27:16
    at _rejected (/usr/local/share/npm/lib/node_modules/bower/node_modules/q/q.js:808:24)
    at /usr/local/share/npm/lib/node_modules/bower/node_modules/q/q.js:834:30
    at Promise.when (/usr/local/share/npm/lib/node_modules/bower/node_modules/q/q.js:1079:31)
    at Promise.promise.promiseDispatch (/usr/local/share/npm/lib/node_modules/bower/node_modules/q/q.js:752:41)
    at /usr/local/share/npm/lib/node_modules/bower/node_modules/q/q.js:574:44

System info:
Bower version: 1.2.7
Node version: 0.10.21
OS: Darwin 12.5.0 x64

@janpaepke janpaepke closed this Feb 28, 2014

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment